MrmOpenHierarchyFromBuffer(3)

NAME
MrmOpenHierarchyFromBuffer — Allocates a hierarchy ID and opens a buffer containing a memory image of a UID file

SYNOPSIS

#include <Mrm/MrmPublic.h>

Cardinal MrmOpenHierarchyFromBuffer(
unsigned char uid_buffer,
MrmHierarchy *hierarchy_id);

DESCRIPTION

MrmOpenHierarchyFromBuffer allows you to specify a buffer containing information from UID files that MRM searches in subsequent fetch operations. This function also allocates a hierarchy ID and initializes the optimized search lists in the hierarchy.

buffer
    Specifies a stream of bytes containing information from UID files

hierarchy_id
    Returns the search hierarchy ID. The search hierarchy ID identifies the buffer that MRM searches when performing subsequent fetch calls.

RETURN

This function returns one of the following status return constants:

MrmSUCCESS
    The function executed successfully.

MrmFAILURE
    The function failed.

RELATED

MrmCloseHierarchy(3) and MrmOpenHierarchyPerDisplay(3).